=== debian/changelog ===
papi (5.3.0-3) unstable; urgency=medium

  * Fix control file generation for binary-arch builds.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 Feb 2014 15:26:52 +0100

papi (5.3.0-2) experimental; urgency=medium

  * Depend on the libpfm4 version used during compilation (or newer).
  * dh_autoreconf is sufficient, so stop using autotools-dev.
  * Clean up files missed by the upstream build system.
  * Add support for templated control files and substvars that allow changing
    the libpapi SOVERSION easily.
  * Fix up the SONAME link automatically using ldconfig.
  * Change SONAME to libpapi.so.5.3, that's what upstream considers binary
    compatible (PAPI_library_init(PAPI_VER_CURRENT) == PAPI_VER_CURRENT).
  * Rename package libpapi5 to libpapi5.3.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Jan 2014 14:53:02 +0100

papi (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh fix-manpages.patch.
  * papi-examples:
    - Rework example installation.
    - for-debian-generalize-test-makefiles.patch: Remove.
    - for-debian-tests-set-more-flags.patch: Remove.
    - Adjust for-debian-link-examples-dynamically.patch to new upstream
      examples build system.
    - Recommends: build-essential, gfortran, mpi-default-dev.
  * Build against libpfm4 GIT snapshot.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jan 2014 07:05:16 +0100

papi (5.2.0-2) unstable; urgency=medium

  * Mark some symbols as x86-specific.
  * Add symbols specific to powerpc(spe).  (Closes: #733308)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jan 2014 00:48:42 +0100

papi (5.2.0-1) unstable; urgency=low

  * Initial release.  (Closes: #702243)
  * New upstream release.
  * Fix SONAME to include the major version only.
  * Refresh fix-manpages.patch.
  * Add new symbols from 5.2.0.
  * Use the canonical Vcs-* URLs.
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Ignore all test failures for now, seems to be too hardware-dependent.
  * for-debian-do-not-embed-libpfm4.patch: New patch. Do not embed a copy of
    libpfm.a in libpapi.a.
  * papi-examples:
    - Do not ship prebuilt binaries. It's an Arch: all package.
    - Do not compress the example source code.
    - Ship everything needed to compile the examples.
    - Add strictly versioned Depends: libpapi-dev.
    - for-debian-link-examples-dynamically.patch: New patch. Link examples
      dynamically to support building them outside of the source tree.
    - for-debian-generalize-test-makefiles.patch: New patch. Make the 'all'
      target useful for building the examples outside of the source tree.
    - for-debian-tests-set-more-flags.patch: New patch. Set OMPCFLGS=-fopenmp,
      MPICC=mpicc, LDL=-ldl for building more examples from ctests/.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Dec 2013 17:29:07 +0100

papi (5.1.0.2-4) unofficial; urgency=low

  * Add missing B-D on gfortran (thanks Ana Guerrero)
  * add usr/share/papi/papi_events.csv into libpapi5

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 08 Mar 2013 10:12:46 +0100

papi (5.1.0.2-3) unofficial; urgency=low

  * Fix soname to include the major version
  * Remove rpath in libs and various lintian fixes

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 05 Mar 2013 14:53:21 +0100

papi (5.1.0.2-2) unofficial; urgency=low

  * Build with an external libpfm

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 04 Mar 2013 01:51:56 +0100

papi (5.1.0.2-1) unofficial; urgency=low

  * Not uploaded as libpfm4 need to be packaged separately first.

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 20 Feb 2013 11:22:50 +0100
