=== debian/changelog ===
papi (5.3.2-2) unstable; urgency=medium

  * Bump libpfm4-dev B-D to >= 4.5.0+git38.
  * Bump Standards-Version to 3.9.6. No changes needed.
  * dpkg-gensymbols: Raise check level to 4 - fail on any symbol change.
  * Add symbols specific to ppc64/ppc64el.
  * Cherry-pick from upstream master: bug fixes and features, presets for
    newer hardware but avoiding API/ABI changing patches.
    - 0004-native_avail-Add-a-validate-flag.patch
    - 0006-Add-aarch64-Cortex-A57-presets.patch
    - 0010-native_avail.c-Bug-fixes-and-updates.patch
    - 0011-papi_internal.c-change-SUBDBG-to-INTDBG.patch
    - 0012-run_tests.sh-more-exclude-cleanups.patch
    - 0013-papi.c-Add-information-to-API-entry-debuging.patch
    - 0014-Update-HSW-presets.patch
    - 0015-perf_event.c-cleanup-error-messages.patch
    - 0016-Libpfm4-update-catch-the-cpu-modifier-update.patch
    - 0017-Update-nvml-README.patch
    - 0018-error_codes-utility-remove-internal-bits.patch
    - 0022-Extend-papi_native_event-validate-to-check-for-umask.patch
    - 0023-event_info-utility-address-coverity-defect.patch
    - 0024-testlib-test_util.c-Check-enum-return-value.patch
    - 0025-ctests-Address-coverity-reported-defects.patch
    - 0026-Bump-NUM_MPX_COUNTERS-for-linux-perf.patch
    - 0035-Adding-the-NativeAvailValidate-patch-provided-by-Gar.patch
    - 0040-Support-for-the-ARM-X-Gene-processor.patch
    - 0041-Update-papi_events.csv-to-match-libpfm-support-for-I.patch
    - 0042-Remove-stray-Intel-Haswell-events-from-Intel-Ivy-Bri.patch
    - 0043-PPC64-sys_mem_info-array-size-is-wrong.patch
    - 0044-PPC64-add-support-for-PPC64-Little-Endian-to-sprofil.patch
    - 0045-byte_profile.c-PPC64-add-support-for-PPC64-Little-En.patch
    - 0046-PPC64-add-support-for-the-Power-non-virtualized-plat.patch

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Oct 2014 14:37:28 +0200

papi (5.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump libpfm4-dev B-D to >= 4.5.0+git23.
  * Fix build on hppa, thanks to Helge Deller.  (Closes: #751411)
  * Call ldconfig with full path during build.  (Closes: #749797)
  * papi-examples: Ship components examples/tests.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Aug 2014 14:50:44 +0200
