=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libpfm4-dev (>= 4.4.0+git),
+ libpfm4-dev (>= 4.5.0+git38),
  gfortran,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: devel
-Homepage: http://icl.cs.utk.edu/papi/custom/index.html?lid=51&slid=69
+Homepage: http://icl.cs.utk.edu/papi/software/index.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/papi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/papi.git;a=summary
