=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,14 @@
 override_dh_auto_install:
 	dh_auto_install --sourcedirectory=src -- install-all
 
+.PHONY: override_dh_makeshlibs
+override_dh_makeshlibs:
+	dh_makeshlibs -a -- -c4
+
 .PHONY: override_dh_shlibdeps
 override_dh_shlibdeps:
 	find debian/libpapi$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH) -type l -name 'libpapi.so.*' | xargs -r rm -v
-	ldconfig -n -v debian/libpapi$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH)
+	/sbin/ldconfig -n -v debian/libpapi$(SOVERSION)/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_shlibdeps -a -- --warnings=7
 
 .PHONY: override_dh_install
