=== debian/changelog ===
papi (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Soversion change: 5.3 -> 5.4. Rename package libpapi5.3 to libpapi5.4.
  * Add new symbols from 5.4.0.
  * Cherry-pick from upstream master: bug fixes and preset updates.
    - 0003-Uncore-component-fix-Cont.patch
    - 0005-Update-presets-for-Intel-Haswell-and-Haswell-EP.patch
    - 0006-perf_event-tests-add-sample-haswell-offcore-event.patch
    - 0008-fix-segfaults-in-the-lustre-component.patch
    - 0010-fix-whitespace-errors-in-Makefile.patch
    - 0012-Test-case-for-attaching-an-eventset-to-a-single-CPU-.patch
    - 0013-Change-papi_native_avail-to-refer-to-event-qualifier.patch
  * hppa.patch: Refresh.
  * hardening.patch: New. Use hardening flags for building the tests, too.
  * Move papi_events.csv to /usr/share/papi/SOVERSION/.
  * Bump libpfm4-dev B-D to >= 4.6.0
  * d/copyright: Add licensing information for the convenience copies shipped
    by upstream, these are not used to build the Debian packages.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Feb 2015 10:59:26 +0100
