=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libpfm4-dev (>= 4.5.0+git38),
+ libpfm4-dev (>= 4.6.0),
  gfortran,
 Standards-Version: 3.9.6
 Section: devel
@@ -14,7 +14,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/papi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/papi.git;a=summary
 
-Package: libpapi5.3
+Package: libpapi5.4
 Section: libs
 Architecture: any
 Multi-Arch: same
