=== debian/changelog ===
papi (5.4.1-2) unstable; urgency=medium

  * Cherry-pick from upstream master: preset updates.
    - 0015-Bug-reported-by-William-Cohen-in-papi_events.csv-for.patch
    - 0019-papi_events.csv-add-preset-events-for-ARM-Cortex-A53.patch
    - 0020-papi_events.csv-typo-in-the-ARM-Cortex-A53-definitio.patch
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Jun 2015 21:01:30 +0200

papi (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * fix-manpages.patch: Refresh.
  * Soversion change: 5.4 -> 5.4.1. Rename package libpapi5.4 to libpapi5.4.1.
  * Update symbols for 5.4.1.
  * Cherry-pick from upstream master:
    - 0006-Clean-output-from-papi_avail-tools-when-there-are-no.patch
  * libpapi-dev: Ship the new papi.pc pkgconfig file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Mar 2015 02:31:37 +0100
