=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/papi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/papi.git;a=summary
 
-Package: libpapi5.4
+Package: libpapi5.4.1
 Section: libs
 Architecture: any
 Multi-Arch: same
