=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-SOVERSION	 = 5.4
+SOVERSION	 = 5.4.1
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
